﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ListBox_Group_Select
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();
        }

        private void radlistbox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            if(e.AddedItems.Count >0)
            {
                var addedItem = (e.AddedItems[0] as Item);
                foreach (Item item in radlistbox.SelectedItems)
                {
                    if(item != addedItem  && item.Group == addedItem.Group)
                    {
                        radlistbox.SelectedItems.Remove(item);
                        break;
                    }
                }
            }
        }
    }
}
